%define name totem
%define version 0.95.1
%define release 2mdk
%define xineversion 1

Summary: Video player based on xine for GNOME2
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Source1: %name-16.png
Source2: %name-32.png
License: GPL
Group: Video
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
URL: http://www.hadess.net/totem.php3
BuildRequires: libxine1-devel >= %xineversion
BuildRequires: libgnomeui2-devel
BuildRequires: libglade2.0-devel
BuildRequires: libgnome-vfs2-devel
BuildRequires: liblirc-devel
Requires: xine-plugins >= %xineversion

%description
Totem is simple movie player for the Gnome desktop based on xine. It
features a simple playlist, a full-screen mode, seek and volume
controls, as well as a pretty complete keyboard navigation.

%prep
%setup -q

#remove pregenerated file
rm -f data/totem-video-thumbnail.schemas.in

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std
%find_lang %name
#menu
install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): \
	command="%{_bindir}/%{name}"\
	needs="X11"\
	section="Multimedia/Video"\
	icon="%name.png"\
	mimetypes="video/mpeg,video/msvideo,video/quicktime,video/x-avi,video/x-ms-asf,video/x-ms-wmv,video/x-msvideo,application/x-ogg,audio/x-mp3,audio/x-mpeg,video/x-fli,audio/x-wav"\
	accept_url="true"\
	multiple_files="true"\
	title="Totem Movie Player"\
	longtitle="Play movies and songs" \
	startup_notify="true"
EOF
#icons
mkdir -p %buildroot{%_liconsdir,%_miconsdir,%_iconsdir}
ln -s %_datadir/pixmaps/media-player-48.png %buildroot/%_liconsdir/%name.png
install -D -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/%name.png
install -D -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_miconsdir}/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/totem.schemas > /dev/null
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/totem-video-thumbnail.schemas > /dev/null
%{update_menus}
%postun
%{clean_menus}

%files -f %name.lang
%defattr(-,root,root)
%doc README ChangeLog AUTHORS TODO
%config(noreplace) %_sysconfdir/gconf/schemas/totem.schemas
%config(noreplace) %_sysconfdir/gconf/schemas/totem-video-thumbnail.schemas
%_bindir/%name
%_bindir/totem-video-thumbnailer
%_datadir/pixmaps/media-player-48.png
%_datadir/application-registry/totem.applications
%_datadir/mime-info/totem.keys
%_datadir/totem/*
%_datadir/applications/totem.desktop
%_menudir/%name
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png
%{_liconsdir}/%name.png

%changelog
* Sat Mar  1 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.95.1-2mdk
- Fix video thumbnail schema
- Add startup notify support

* Fri Feb 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.95.1-1mdk
- new version

* Thu Jan 30 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.90.0-1mdk
- add video thumbnailer incl. schema
- remove gnomevfs plugin
- drop patch
- new version

* Thu Jan 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.13.1-4mdk
- temporal patch to disable some gnome-vfs2 feature to allow build
- rebuild against latest ssl

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.13.1-3mdk
- rebuild

* Mon Dec 16 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.13.1-2mdk
- fix schema installation

* Mon Dec 16 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.13.1-1mdk
- new version

* Sun Dec  8 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.13.0-1mdk
- new version

* Thu Nov 28 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.1-1mdk
- Release 0.12.1
- Add missing schema registration

* Thu Nov 28 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.12.0-1mdk
- fix xine plugins dir
- requires libxine1
- new version

* Tue Oct 29 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.11.0-1mdk
- build with lirc support
- new version

* Mon Sep 23 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.10.0-3mdk
- fix menu

* Fri Sep 13 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.10.0-2mdk
- requires xine-plugins (of course)

* Thu Sep 12 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.10.0-1mdk
- initial Mandrake package
